Next: Setting Access Permissions, Previous: Recursive Unlink, Up: Writing [Contents][Index]

#### Setting Data Modification Times

Normally, `tar` sets the data modification times of extracted files to the corresponding times recorded for the files in the archive, but limits the permissions of extracted files by the current `umask` setting.

To set the data modification times of extracted files to the time when the files were extracted, use the `--touch` (`-m`) option in conjunction with `--extract` (`--get`, `-x`).

`--touch`
`-m`

  Sets the data modification time of extracted archive members to the time they were extracted, not the time recorded for them in the archive. Use in conjunction with `--extract` (`--get`, `-x`).